Skip to content
Start here

Get PayGo Account Billable Usage (Beta)

client.billing.usage.paygo(UsagePaygoParams { account_id, from, to } params, RequestOptionsoptions?): UsagePaygoResponse { BillingCurrency, BillingPeriodStart, ChargePeriodEnd, 8 more }
GET/accounts/{account_id}/billing/usage/paygo

Returns billable usage data for PayGo (self-serve) accounts. When no query parameters are provided, returns usage for the current billing period. This endpoint is currently in beta and access is restricted to select accounts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
params: UsagePaygoParams { account_id, from, to }
account_id: string

Path param: Represents a Cloudflare resource identifier tag.

maxLength32
from?: string

Query param: Defines the start date for the usage query (e.g., 2025-02-01).

formatdate
to?: string

Query param: Defines the end date for the usage query (e.g., 2025-03-01).

formatdate
ReturnsExpand Collapse
UsagePaygoResponse = Array<UsagePaygoResponseItem>

Contains the array of billable usage records.

BillingCurrency: string

Specifies the billing currency code (ISO 4217).

BillingPeriodStart: string

Indicates the start of the billing period.

formatdate-time
ChargePeriodEnd: string

Indicates the end of the charge period.

formatdate-time
ChargePeriodStart: string

Indicates the start of the charge period.

formatdate-time
ConsumedQuantity: number

Specifies the quantity consumed during this charge period.

ConsumedUnit: string

Specifies the unit of measurement for consumed quantity.

ContractedCost: number

Specifies the cost for this charge period in the billing currency.

CumulatedContractedCost: number

Specifies the cumulated cost for the billing period in the billing currency.

CumulatedPricingQuantity: number

Specifies the cumulated pricing quantity for the billing period.

PricingQuantity: number

Specifies the pricing quantity for this charge period.

ServiceName: string

Identifies the Cloudflare service.

Get PayGo Account Billable Usage (Beta)

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.billing.usage.paygo({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response);
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": [
    {
      "BillingCurrency": "USD",
      "BillingPeriodStart": "2025-02-01T00:00:00Z",
      "ChargePeriodEnd": "2025-02-02T00:00:00Z",
      "ChargePeriodStart": "2025-02-01T00:00:00Z",
      "ConsumedQuantity": 150000,
      "ConsumedUnit": "Requests",
      "ContractedCost": 0.75,
      "CumulatedContractedCost": 2.25,
      "CumulatedPricingQuantity": 4500000,
      "PricingQuantity": 150000,
      "ServiceName": "Workers Standard"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": [
    {
      "BillingCurrency": "USD",
      "BillingPeriodStart": "2025-02-01T00:00:00Z",
      "ChargePeriodEnd": "2025-02-02T00:00:00Z",
      "ChargePeriodStart": "2025-02-01T00:00:00Z",
      "ConsumedQuantity": 150000,
      "ConsumedUnit": "Requests",
      "ContractedCost": 0.75,
      "CumulatedContractedCost": 2.25,
      "CumulatedPricingQuantity": 4500000,
      "PricingQuantity": 150000,
      "ServiceName": "Workers Standard"
    }
  ],
  "success": true
}